This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123992 - No BSD pty's in FC2 kernel
No BSD pty's in FC2 kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.uwsg.iu.edu/hypermail/linu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 12:31 EDT by Kenneth Porter
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 23:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2004-05-22 12:31:07 EDT
A 3rd party app I'm using, Lugaru Epsilon (http://www.lugaru.com/)
fails to spawn a process buffer. An strace reveals that it can't open
/dev/ptyp0 and friends. The nodes exist but report "no such device"
when I attempt to cat them.

If I've read everything right, these are "BSD" pty's and the default
FC2 kernels have them disabled.
Comment 1 Kenneth Porter 2004-06-09 02:08:45 EDT
The Epsilon author reports that he's added SysV pty support to come in
the next update. Meanwhile, I built a kernel with "legacy pty" support
and the process buffer in Epsilon is again working.

I unpacked the stock kernel SRPM, edited the desired .config file in
SOURCES, edited the SPEC file to add a custom suffix to the revision
string, and rebuilt the binary RPM. The only funny bit is that one has
to define a config variable to set the number of PTY's that's not
"unset" in the default file, so it's useful to run "make config" once
to get the syntax right for setting that variable right.

Here's the edit for i686:

1340c1340,1341
< # CONFIG_LEGACY_PTYS is not set
---
> CONFIG_LEGACY_PTYS=y
> CONFIG_LEGACY_PTY_COUNT=256

Here's the edit for the SPEC file:

23c23
< %define release %(R="$Revision: 1.358 $"; RR="${R##: }"; echo
${RR%%?})%{rhbsys}
---
> %define release %(R="$Revision: 1.358 $"; RR="${R##: }"; echo
${RR%%?})%{rhbsys}bsdpty
796a797,799
> * Sun May 23 2004 Kenneth Porter <shiva@sewingwitch.com>
> - Custom kernel: Re-enable BSD ptys for Epsilon.
Comment 2 Kenneth Porter 2004-08-11 21:34:29 EDT
Epsilon 12.06 with SysV PTY support is now available at the Lugaru
website. (See above.)

Feel free to close this with a wontfix. (I entered this as an FYI to
others looking for a solution.)

Note You need to log in before you can comment on or make changes to this bug.